Summary: Gromit is an automatic system configuration tool.
Name: gromit
Version: 2.2.2
Release: 1
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: /sbin/chkconfig 
Requires: /sbin/service

%description
Gromit is an automatic system configuration utility. Most system config
tools try to present a nice GUI or other user interface. Gromit is the 
opposite: its intended to be run from a cron job with no UI at all.


%prep 
%setup -q


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install

make INSTALL_ROOT=$RPM_BUILD_ROOT install_redhat


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add gromit
/etc/rc.d/init.d/gromit start > /dev/null 2>&1

%preun
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/gromit stop >/dev/null 2>&1
    /sbin/chkconfig --del gromit
fi


%postun
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/gromit condrestart >/dev/null 2>&1
fi


%files 
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/gromit.conf
%config(noreplace) %{_sysconfdir}/gromit.rules
%{_sysconfdir}/cron.daily/gromit.cron
%{_sysconfdir}/rc.d/init.d/gromit
%{_sbindir}/gromit
%{_datadir}/gromit/*

%doc CHANGELOG README TODO


%changelog
* Thu Jun 28 2001 Hunter Matthews <thm@duke.edu>
- Updated for some for the edited Makefile in v2.0

* Fri Jun  8 2001 Hunter Matthews <thm@duke.edu>
- Updated spec file more and added comment to gromit CHANGELOG.
- Gotta follow my own release procedures.

* Fri Jun  8 2001 Hunter Matthews <thm@duke.edu>
- Fixed a brown paper bag security bug where we could end up 
  chmod'ing /etc to ugo=rwx
- Added postinstall to make gromit active by default
  May be wrong for other sites, but is correct for biology.
  
* Sat Mar 24 2001 Hunter Matthews <thm@duke.edu>
- Finished out spec file/makefile. 
- Put the "guts" of the install process into Makefile, put just the pkg
  logic in spec file.
  
* Mon Feb 26 2001 Hunter Matthews <thm@duke.edu>
- New package. Cheated by stealing from Jeremy Katz's yup pkg.

